> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Common API — Payout Voucher

> Common API — Payout Voucher (POST /common/voucher): Get the payout order voucher image (base64 encoded). Key request parameters include orderNo.

> [!NOTE]
>
> All example requests on this page are based on the **sandbox (test) environment**. Please be careful to distinguish it from the production environment.

#### Secret Key & Private Key (Generate Signature)

## Related Topics

* [Common API](https://doc.haipay.net/en/history/V20260701/api/version2/CommonApi.md)
* [HaiPay API Reference Overview](https://doc.haipay.net/en/history/V20260701/api-reference/overview.md)
* [HaiPay Configuration and Signature Guide](https://doc.haipay.net/en/history/V20260701/guide/config_settings_and_signature_rules_guide.md)
* [Payout Order Voucher](https://doc.haipay.net/en/operations/voucher.md)
* [Look Up API Response Structure and Error Codes](https://doc.haipay.net/en/history/V20260701/guide/error_response_appendix.md)


## OpenAPI

````yaml docs/en/api-reference/common/common.openapi.json POST /common/voucher
openapi: 3.1.0
info:
  title: Common API
  description: >-
    HaiPay common APIs for account query, statement file download, payout
    voucher, exchange rate query, voucher PDF, and merchant payment config.
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /common/voucher:
    post:
      tags: []
      summary: Payout Voucher
      description: Get the payout order voucher image (base64 encoded).
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: Business ID (obtained from the backend)
                  format: int64
                orderNo:
                  type: string
                  description: Platform order ID
                sign:
                  type: string
                  description: Signature
              required:
                - appId
                - orderNo
                - sign
            example:
              appId: 1054
              orderNo: P233323000059
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status code
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Message
                  data:
                    type: string
                    description: Base64 encoded voucher image
              example:
                status: '1'
                error: '00000000'
                msg: success
                data: iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJ...
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.